GENERIC_SPLICE_SENDP(9)

NAME
generic_splice_sendpage - splice data from a pipe to a socket

SYNOPSIS

ssize_t generic_splice_sendpage(struct pipe_inode_info * pipe, struct file * out, loff_t * ppos, size_t len, unsigned int flags);

ARGUMENTS

pipe
    pipe to splice from

out
    socket to write to

ppos
    position in out

len
    number of bytes to splice

flags
    splice modifier flags

DESCRIPTION

Will send len bytes from the pipe to a network socket. No data copying is involved.

COPYRIGHT